# ------------------------------------------------------------------------------
# Pre-Commit Template
# ------------------------------------------------------------------------------

# TODO: add template hooks to repos https://pre-commit.com/#pre-commit-init-templatedir
#  or add custom .pre-commit-hooks.yaml

# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.1.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-added-large-files

  - repo: https://github.com/psf/black
    rev: 19.10b0
    hooks:
      - id: black
        language_version: python3.7

  - repo: https://github.com/timothycrosley/isort
    rev: master
    hooks:
      - id: isort
        language: python
        types: [python]
        additional_dependencies: [toml]
        args: [-sp=./pyproject.toml]
exclude: |
  (?x)(
      snapshots
  )
